# NonSuperEffectiveImmunityAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class NonSuperEffectiveImmunityAbAttr

Determines whether a Pokemon is immune to a move because of an ability.

#### See

- `applyPreDefend`
- `getCondition`

#### Hierarchy (view full)

- TypeImmunityAbAttr
  - NonSuperEffectiveImmunityAbAttr

- Defined in src/data/ability.ts:467

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new NonSuperEffectiveImmunityAbAttr(condition?): NonSuperEffectiveImmunityAbAttr

- #### Parameters

  - `Optional` condition: AbAttrCondition

  #### Returns NonSuperEffectiveImmunityAbAttr

  Overrides TypeImmunityAbAttr.constructor

  - Defined in src/data/ability.ts:468

## Properties

### showAbility

showAbility: boolean

Inherited from TypeImmunityAbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from TypeImmunityAbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from TypeImmunityAbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPreDefend

- applyPreDefend(pokemon, passive, attacker, move, cancelled, args): boolean

- Applies immunity if this ability grants immunity to the type of the given move.

  #### Parameters

  - pokemon: default

    `Pokemon` the defending Pokemon

  - passive: boolean

    N/A

  - attacker: default

    `Pokemon` the attacking Pokemon

  - move: default

    `Move` the attacking move

  - cancelled: BooleanHolder

    N/A

  - args: any[]

    [0] `Utils.NumberHolder` gets set to 0 if move is immuned by an ability.

  #### Returns boolean

  Overrides TypeImmunityAbAttr.applyPreDefend

  - Defined in src/data/ability.ts:472

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from TypeImmunityAbAttr.getCondition

  - Defined in src/data/ability.ts:386

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Overrides TypeImmunityAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:482